/*#region Variables*/
  $white:#fff;
  $red:#ff4444;

  $black:#212529;
  $bg-black:#212121;
  $bg-lightblack:#5e6271;

  $gray:#808080;
  $bg-gray:#f2f2f2;
  $bg-lightgray:#f2f2f2;

  $border-gray:#ddd;
  $border-lightgray: #f2f2f2;

  $primary-color:#169c53;
  $primary-color-hover:#51b4e6;

  $second-color:#41b270;
  $second-color-hover:#51b4e6;

  $line-height: 1.5;
  /** custom color **/
  $deepgray:#666666;
  $bg-deepgray:#4d4d4d;

  $success:#00c851;
  $info:#33b5e5;
  $warning:#f80;
  $danger:#ff3547;
  $default:#e0e0e0;

  $font-weight-light:300;
  $font-weight-normal:normal;
  $font-weight-semibold:600;
  $font-weight-bold:bold;

  $font-family-primary:'Roboto', sans-serif;
  $font-family-second:'iCielFesterSemiCondensed', sans-serif;
/*#endregion*/
/*#region Mixin*/
  @mixin border ($size:1px, $style:solid, $color: $border-gray) {
      border: $size $style $color;
  }

  @mixin border-top ($size:1px, $style:solid, $color: $border-gray) {
      border-top: $size $style $color;
  }

  @mixin border-bottom ($size:1px, $style:solid, $color: $border-gray) {
      border-bottom: $size $style $color;
  }

  @mixin border-left ($size:1px, $style:solid, $color: $border-gray) {
      border-left: $size $style $color;
  }

  @mixin border-right ($size:1px, $style:solid, $color: $border-gray) {
      border-right: $size $style $color;
  }

  @mixin animation() {
      -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
      -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
      -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
      transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  @mixin clearfix() {
      &:after,
      &:before {
          content: " ";
          display: table;
      }
      &:after {
          clear: both;
      }
  }
  @mixin flex-container() {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-direction: row;
      -ms-flex-direction: row;
      flex-direction: row;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-flow: row wrap;
      -ms-flex-flow: row wrap;
      flex-flow: row wrap; // -webkit-justify-content: space-around;
      -ms-flex-pack: distribute; // justify-content: space-around;
      &.flex-item-center {
          -webkit-box-pack: center;
          -webkit-justify-content: center;
          -ms-flex-pack: center;
          justify-content: center;
      }
      &.row>.col,
      >.col {
          float: none;
      }
  }
  
  @mixin non-flex-container() {
    -webkit-box-align: inherit;
        -webkit-align-items: inherit;
        -ms-flex-align: inherit;
        align-items: inherit;
        -webkit-box-pack: inherit;
        -webkit-justify-content: inherit;
        -ms-flex-pack: inherit;
        justify-content: inherit;
        display: block;
  }

  @mixin flex-center() {
      -webkit-box-align: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
  }

  @mixin item-flex() {
      display: -moz-flex;
      display: -ms-flex;
      display: -o-flex;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-flex-direction: -webkit-column;
      flex-direction: -webkit-column;
      flex-direction: -moz-column;
      -ms-flex-direction: -ms-column;
      flex-direction: -ms-column;
      flex-direction: -o-column;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -webkit-flex-direction: column;
      -ms-flex-direction: column;
      flex-direction: column;
      .text-container {
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
          -moz-flex: 1 0 auto;
          -o-flex: 1 0 auto;
          -webkit-box-flex: 1;
          -webkit-flex: 1 0 auto;
          -ms-flex: 1 0 auto;
          flex: 1 0 auto;
          -webkit-flex-direction: -webkit-column;
          flex-direction: -webkit-column;
          flex-direction: -moz-column;
          -ms-flex-direction: -ms-column;
          flex-direction: -ms-column;
          flex-direction: -o-column;
          -webkit-box-orient: vertical;
          -webkit-box-direction: normal;
          -webkit-flex-direction: column;
          -ms-flex-direction: column;
          flex-direction: column;
          .des,
          h3 {
              -moz-flex-grow: 1;
              -o-flex-grow: 1;
              -webkit-box-flex: 1;
              -webkit-flex-grow: 1;
              -ms-flex-positive: 1;
              flex-grow: 1;
          }
          h3 {
          -webkit-box-align: center;
          -webkit-align-items: center;
          -ms-flex-align: center;
          align-items: center;
          -webkit-box-pack: center;
          -webkit-justify-content: center;
          -ms-flex-pack: center;
          justify-content: center;
          display: -webkit-box;
          display: -webkit-flex;
          display: -ms-flexbox;
          display: flex;
          }
      }
  }
  @mixin v-height (){display: table;height: 100%;width: 100%;}
  @mixin v-mid() {display: table-cell;vertical-align: middle;width: 100%}
  @mixin v-top() {
    // display: table-header-group;
    display: table-header-group;
    width: 100%;
    vertical-align: top;
    // height: 100%;
  }
  @mixin v-bot() {
    // display: table-footer-group;
    display: table-cell;
    width: 100%;
    vertical-align: bottom;
  }
/*#endregion*/
/*#region Typography*/
  h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6 {padding-top: 0;padding-bottom: 0;margin-top: 0;margin-bottom: 0;}
  .h,.h0,.h1,.h2,.h3,.h4,.h5,.h6 {font-weight: $font-weight-normal}
  .h0 {font-size: 40px;line-height: 45px;}
  h1,.h1 {font-size: 35px;line-height: 40px;}
  h2,.h2 {font-size: 30px;line-height: 35px;}
  h3,.h3 {font-size: 25px;line-height: 30px;}
  h4,.h4 {font-size: 20px;line-height: 25px;}
  h5,.h5 {font-size: 16px;line-height: normal;}
  h6,.h6 {font-size: 12px;line-height: normal;}
  .h {font-size: 14px;line-height: 1.42857143;}
  body {font-size: 14px;line-height: 1.42857143;}
  @media screen and (max-width: 1024px) {
    .h0 {font-size: 35px;line-height: 40px;}
    h1,.h1 {font-size: 30px;line-height: 35px;}
    h2,.h2 {font-size: 25px;line-height: 30px;}
    h3,.h3 {font-size: 20px;line-height: 25px;}
    h4,.h4 {font-size: 18px;line-height: normal;}
    h5,.h5 {font-size: 16px;line-height: normal;}
    h6,.h6 {font-size: 12px;line-height: normal;}
    .h {font-size: 14px;line-height: 1.42857143;}
    body {font-size: 14px;line-height: 1.42857143;}
  }
  @media screen and (max-width: 768px) {
    .h0 {font-size: 30px;line-height: 35px;}
    h1,.h1 {font-size: 25px;line-height: 30px;}
    h2,.h2 {font-size: 20px;line-height: 25px;}
    h3,.h3 {font-size: 18px;line-height: normal;}
    h4,.h4 {font-size: 16px;line-height: normal;}
    h5,.h5 {font-size: 15px;line-height: normal;}
    h6,.h6 {font-size: 12px;line-height: normal;}
    .h {font-size: 14px;line-height: 1.42857143;}
    body{font-size: 14px;line-height: 1.42857143;}
  }
  @media screen and (max-width: 450px) {
    .h0 {font-size: 30px;line-height: 35px;}
    h1,.h1 {font-size: 25px;line-height: 30px;}
    h2,.h2 {font-size: 20px;line-height: 25px;}
    h3,.h3 {font-size: 18px;line-height: normal;}
    h4,.h4 {font-size: 16px;line-height: normal;}
    h5,.h5 {font-size: 15px;line-height: normal;}
    h6,.h6 {font-size: 12px;line-height: normal;}
    .h {font-size: 14px;line-height: 1.42857143;}
    body{font-size: 14px;line-height: 1.42857143;}
  }
/*#endregion*/
/*#region Spacing*/
  section {padding-top: 80px;padding-bottom: 80px;}

  .m-8 {margin-top: 80px;margin-bottom: 80px;}
  .m-4 {margin-top: 40px;margin-bottom: 40px;}
  .m-3 {margin-top: 30px;margin-bottom: 30px;}
  .m-2 {margin-top: 20px;margin-bottom: 20px;}
  .m-1 {margin-top: 10px;margin-bottom: 10px;}

  .p-8 {padding-top: 80px;padding-bottom: 80px;}
  .p-4 {padding-top: 40px;padding-bottom: 40px;}
  .p-3 {padding-top: 30px;padding-bottom: 30px;}
  .p-2 {padding-top: 20px;padding-bottom: 20px;}
  .p-1 {padding-top: 10px;padding-bottom: 10px;}

  .m-top-8 {margin-top: 80px;}
  .m-top-4 {margin-top: 40px;}
  .m-top-3 {margin-top: 30px;}
  .m-top-2 {margin-top: 20px;}
  .m-top-1 {margin-top: 10px;}

  .p-top-8 {padding-top: 80px;}
  .p-top-4 {padding-top: 40px;}
  .p-top-3 {padding-top: 30px;}
  .p-top-2 {padding-top: 20px;}
  .p-top-1 {padding-top: 10px;}

  .m-bot-8 {margin-bottom: 80px;}
  .m-bot-4 {margin-bottom: 40px;}
  .m-bot-3 {margin-bottom: 30px;}
  .m-bot-2 {margin-bottom: 20px;}
  .m-bot-1 {margin-bottom: 10px;}

  .p-bot-8 {padding-bottom: 80px;}
  .p-bot-4 {padding-bottom: 40px;}
  .p-bot-3 {padding-bottom: 30px;}
  .p-bot-2 {padding-bottom: 20px;}
  .p-bot-1 {padding-bottom: 10px;}
  
  .p-top-0 {padding-top: 0;}
  .p-bot-0 {padding-bottom: 0;}
  .m-top-0 {margin-top: 0;}
  .m-bot-0 {margin-bottom: 0;}
  .p-0 {padding-top: 0;padding-bottom: 0;}
  .m-0 {margin-top: 0;margin-bottom: 0;}
  @media screen and (max-width: 1024px) {
    /*#region spacing*/
      section {padding-top:40px;padding-bottom:40px;}

      .m-8 {margin-top: 60px;margin-bottom: 60px;}
      .m-4 {margin-top: 30px;margin-bottom: 30px;}
      .m-3 {margin-top: 20px;margin-bottom: 20px;}

      .p-8 {padding-top: 60px;padding-bottom: 60px;}
      .p-4 {padding-top: 30px;padding-bottom: 30px;}
      .p-3 {padding-top: 20px;padding-bottom: 20px;}

      .m-top-8 {margin-top: 60px;}
      .m-top-4 {margin-top: 30px;}
      .m-top-3 {margin-top: 20px;}

      .p-top-8 {padding-top: 60px;}
      .p-top-4 {padding-top: 30px;}
      .p-top-3 {padding-top: 20px;}

      .m-bot-8 {margin-bottom: 60px;}
      .m-bot-4 {margin-bottom: 30px;}
      .m-bot-3 {margin-bottom: 20px;}
      
      .p-bot-8 {padding-bottom: 60px;}
      .p-bot-4 {padding-bottom: 30px;}
      .p-bot-3 {padding-bottom: 20px;}
    /*#endregion*/
  }
  @media screen and (max-width: 768px) {
    /*#region spacing*/
      section {padding-top:30px;padding-bottom:30px;}

      .m-8 {margin-top: 40px;margin-bottom: 40px;}
      .m-4 {margin-top: 20px;margin-bottom: 20px;}
      .m-3 {margin-top: 15px;margin-bottom: 15px;}

      .p-8 {padding-top: 40px;padding-bottom: 40px;}
      .p-4 {padding-top: 20px;padding-bottom: 20px;}
      .p-3 {padding-top: 15px;padding-bottom: 15px;}

      .m-top-8 {margin-top: 40px;}
      .m-top-4 {margin-top: 20px;}
      .m-top-3 {margin-top: 15px;}

      .p-top-8 {padding-top: 40px;}
      .p-top-4 {padding-top: 20px;}
      .p-top-3 {padding-top: 15px;}

      .m-bot-8 {margin-bottom: 40px;}
      .m-bot-4 {margin-bottom: 20px;}
      .m-bot-3 {margin-bottom: 15px;}
      
      .p-bot-8 {padding-bottom: 40px;}
      .p-bot-4 {padding-bottom: 20px;}
      .p-bot-3 {padding-bottom: 15px;}
    /*#endregion*/
  }
  @media screen and (max-width: 450px) {
    /*#region spacing*/
      section {padding-top:20px;padding-bottom:20px;}

      .m-8 {margin-top: 30px;margin-bottom: 30px;}
      .p-8 {padding-top: 30px;padding-bottom: 30px; }
      .m-top-8 {margin-top: 30px;}
      .p-top-8 {padding-top: 30px;}
      .m-bot-8 {margin-bottom: 30px;}
      .p-bot-8 {padding-bottom: 30px;}
    /*#endregion*/
  }
/*#endregion*/
/*#region css main*/
  .checkbox-container {

      [type="checkbox"]:not(:checked),
      [type="checkbox"]:checked,
      [type="radio"]:not(:checked),
      [type="radio"]:checked {
          position: absolute;
          left: -9999px;

          +label {
              position: relative;
              padding-left: 1.95em;
              cursor: pointer;

              &:before {
                  @include border($size: 2px);
                  content: '';
                  position: absolute;
                  left: 0;
                  top: 0;
                  width: 1.25em;
                  height: 1.25em;
                  background: $white;
                  /*border-radius: 4px;*/
                  /*box-shadow: inset 0 1px 3px rgba(0,0,0,.1);*/
              }

              &:after {
                  content: '\e809';
                  font-family: "ecs";
                  position: absolute;
                  top: .1em;
                  left: .3em;
                  font-size: 1.3em;
                  line-height: 0.8;
                  color: $primary-color;
                  -webkit-transition: all .2s;
                  -o-transition: all .2s;
                  transition: all .2s;
              }
          }
      }

      [type="checkbox"]:not(:checked),
      [type="radio"]:not(:checked) {
          +label:after {
              opacity: 0;
              -webkit-transform: scale(0);
              -ms-transform: scale(0);
              transform: scale(0);
          }
      }

      [type="checkbox"]:checked,
      [type="radio"]:checked {
          +label:after {
              opacity: 1;
              -webkit-transform: scale(1);
              -ms-transform: scale(1);
              transform: scale(1);
          }
      }

      [type="checkbox"]:disabled:not(:checked),
      [type="checkbox"]:disabled:checked,
      [type="radio"]:disabled:not(:checked),
      [type="radio"]:disabled:checked {
          +label:before {
              box-shadow: none;
              border-color: #bbb;
              background-color: #ddd;
          }
      }

      [type="checkbox"]:disabled:checked,
      [type="radio"]:disabled:checked {
          +label:after {
              color: #999;
          }
      }

      [type="checkbox"]:disabled,
      [type="radio"]:disabled {
          +label {
              color: #aaa;
          }
      }

      [type="checkbox"]:checked:focus,
      [type="checkbox"]:not(:checked):focus,
      [type="radio"]:checked:focus,
      [type="radio"]:not(:checked):focus {
          +label:before {
              @include border($size: 2px, $color:$primary-color);
          }
      }

      label {
          &:before {
              @include animation();
          }

          &:hover {
              &:before {
                  @include border($size: 2px, $color:$primary-color);
              }
          }
      }

      &:last-child {
          label {
              margin-bottom: 0;
          }
      }

      // &.checkbox-img {
      //   [type="checkbox"]:not(:checked),
      //   [type="checkbox"]:checked,
      //   [type="radio"]:not(:checked),
      //   [type="radio"]:checked {
      //     & + label {
      //       padding-left: 0;
      //       img {
      //         @include animation();
      //       }
      //       &:before, &:after {
      //         display: none;
      //       }
      //     }
      //   }
      //   [type="checkbox"]:checked,
      //   [type="radio"]:checked {
      //     & + label {
      //       img {
      //         @include box-shadow2();
      //         @include border($size:4px, $color:$bg-black);
      //       }
      //     }
      //   }
      // }
  }

  .flex-container {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-direction: row;
      -ms-flex-direction: row;
      flex-direction: row;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-flow: row wrap;
      -ms-flex-flow: row wrap;
      flex-flow: row wrap; // -webkit-justify-content: space-around;
      -ms-flex-pack: distribute; // justify-content: space-around;

      &.flex-item-center {
          -webkit-box-pack: center;
          -webkit-justify-content: center;
          -ms-flex-pack: center;
          justify-content: center;
      }

      &.row>.col,
      >.col {
          float: none;
      }
  }

  .flex-center {
      -webkit-box-align: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
  }

  .v-height {
      display: table;
      height: 100%;
      width: 100%;
  }

  .text-center {
      text-align: center;
  }

  .clearfix {

      &:after,
      &:before {
          content: " ";
          display: table;
      }

      &:after {
          clear: both;
      }
  }

  .unclearfix {

      &:after,
      &:before {
          content: initial;
          display: initial;
      }

      &:after {
          clear: initial;
      }
  }
/*#endregion*/

/*#region #cart*/
  #cart {
    .section-header {
      // text-transform: uppercase;
      // font-weight: $font-weight-bold;
      span {
        text-transform: none;
        font-weight: $font-weight-normal;
      }
    }
    .section-body {
      @include border();
      .item {
        @include flex-container();
        @include border-top();
        padding: 15px;
        .img-container {
          @include border();
          width: 125px;
          height: auto;
        }
        .text-container {
          width: calc(100% - 125px - 150px - 120px);
          padding: 0 15px;
          h3 {
            @include v-top();
            // margin-bottom: 10px;
          }
          .btn-container {
            @include v-bot();
            a {
              color: #337ab7;
              &:hover {
                color: #4267B2;
                text-decoration: underline;
              }
            }
          }
        }
        .price {
          width: 150px;
          padding-right: 15px;
          .new-price {
            font-weight: $font-weight-bold;
          }
          .old-price {
            margin-top: 5px;
            color: $gray;
            text-decoration: line-through;
            span {
              display: inline-block;
              text-decoration: none;
              background-color: #ff9601;
              color: $white;
              padding: 3px 6px;
              border-radius: 2px;
              margin-left: 10px;
            }
          }
        }
        .quantity-container {
          width: 120px;
          // .input-group-btn {
          //    display: block;
          //    width: 34px;
          //    height: 34px;
          //    float: left;
          //    .btn {
          //        border-radius:0;
          //    }
          //  }
           input {
             // width: calc(100% - 34px - 34px);
             box-shadow: none;
             width: 100%;
             // float: left;
           }
        }
        &:first-child {
          border-top:none;
        }
      }
    }
    .section-footer {
      @include border();
      margin-top: 20px;
      padding: 15px;
      width: 50%;
      margin-left: 50%;
      h2 {
        @include border-bottom();
        font-weight: $font-weight-bold;
        text-transform: uppercase;
        padding-bottom: 5px;
      }
      .item {
        margin-top: 10px;
        label {
        float: left;
        margin-bottom: 0;
        }
        p {
          float: right;
        }
        &:last-child {
          -webkit-box-pack: justify;-webkit-justify-content: space-between;-ms-flex-pack: justify;justify-content: space-between;
          label {
            float: none;
          }
          p {
            color: $red;
          }
        }
      }
    }
  }
  #cartbar {
      .section-header {
          // text-transform: uppercase;
          // font-weight: $font-weight-bold;
      }

      .section-body {
          @include border();
          border-bottom: none;
          padding: 15px;

          .item {
              margin-top: 10px;

              .label {
                  float: left;
                  width: 115px;
                  margin: 7px 0;

                  .checkbox-container {
                      display: inline-block;
                      float: left;
                      margin-right: 5px;

                      label {
                          margin-bottom: 0;
                          font-weight: $font-weight-normal;
                          padding-left: 25px;
                      }
                  }
              }

              input {
                  width: calc(100% - 115px);
                  float: right;
              }

              select {
                  width: calc(50% - 5px);
                  margin-right: 5px;
                  float: left;
                  margin-bottom: 10px;

                  &:nth-child(1) {
                      width: 100%;
                      float: none;
                      margin-right: 0;
                  }

                  &:nth-child(3) {
                      margin-left: 5px;
                      margin-right: 0;
                  }

                  + input {
                      width: 100%;
                      float: none;
                  }
              }
          }

          .text-container {
              label {
                  margin-bottom: 0;
              }

              p {
                  margin-top: 10px;
                  margin-bottom: 0;

                  &:last-child {
                      span {
                          display: block;
                          margin-top: 10px;
                      }
                  }
              }
          }

          &.border-bottom {
              @include border-bottom();
          }

          .oldaddress {
              .item {
                  .input-container {
                      label {
                          font-weight: $font-weight-normal;

                          span {
                              display: block;
                              padding-bottom:5px;
                              &:last-child {
                                  padding-bottom:0;
                              }
                          }
                      }
                  }
              }
          }

          .newaddressbtn {
              @include border-top();
              text-align: center;
              margin-top: 15px;
              padding-top: 15px;
          }
      }

      .section-footer {
          @include border();
          padding: 0 15px 15px 15px;
          border-top: none;

          .item {
              margin-top: 10px;

              .btn {
                  width: 100px;
                  float: left;
                  text-transform: uppercase;
                  font-weight: $font-weight-bold;
              }

              input {
                  width: calc(100% - 110px);
                  margin-right: 10px;
                  float: left;
              }

              textarea {
                  min-height: 100px;
                  max-width: 100%;
                  min-width: 100%;
              }

              label {
                  float: left;
                  margin-bottom: 0;
              }

              p {
                  float: right;
              }

              &:nth-child(1) {
                  @include border-top();
                  margin-top: 0;
                  padding-top: 15px;
              }

              &:last-child {
                  -webkit-box-pack: justify;-webkit-justify-content: space-between;-ms-flex-pack: justify;justify-content: space-between;

                  p {
                      color: $red;
                  }
              }
          }
      }

      .section-footer-plus {
          margin-top: 20px;

          a {
              width: 100%;
              text-transform: uppercase;
              font-weight: $font-weight-bold;
          }
      }
  }
  #cart-page {
    .resultmessage {
      background-color: $bg-gray;
      img {
        width: 210px;
      }
      h2 {
        text-transform: uppercase;
      }
    }
    #cartempty {
      .section-body {
        background-color: $bg-gray;
      }
    }
  }
/*#endregion*/

/*#region #tongquan*/
/*#endregion*/

@media screen and (min-width: 1920px) {}
@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}
@media screen and (max-width: 1280px) {}

@media screen and (max-width: 1024px) {
  /*#region cart*/
    #cartbar {
      .section-body {
        .item {
          .label {
            width: 100%;
            float: none;
            margin: 0 0 10px 0;
          }
          input {
            width: 100%;
            float: none;
          }
          select {
            width: 100%;
            margin-right: 0;
            margin-left: 0;
            &:nth-child(1) {
              margin-right: 0;
            }
            &:nth-child(3) {
              margin-left: 0;
            }
          }
        }
      }
    }
    #cart .section-footer {
      width: 100%;
      margin-left: 0;
    }
  /*#endregion*/
}

@media screen and (max-width: 980px) {}

@media screen and (max-width: 768px) {
  /*#region cart*/
    #cart-page {
      .resultmessage img {
        width: 150px;
      }
    }
    // #cart {
    //  .section-body {
    //   .item {
    //     .img-container {

    //     }
    //     .text-container {
    //       width: calc(100% - 125px);
    //       padding-right: 0;
    //     }
    //     .price {
    //       width: calc(100% - 15px - 120px);
    //       margin-right: 15px;
    //       padding-right: 0;
    //       margin-top: 10px;
    //     }
    //     .quantity-container {
    //       margin-top: 10px;
    //     }
    //   }
    //  }
    // }
    #cartbar {
      .section-body {
        .item {
          .label {
              float: left;
              width: 115px;
              margin: 7px 0;
          }
          input {
              width: calc(100% - 115px);
              float: right;
          }
          select {
              width: calc(50% - 5px);
              margin-right: 5px;
              &:nth-child(3) {
                  margin-left: 5px;
              }
          }
        }
      }
    }
  /*#endregion*/
}

@media screen and (max-width: 650px) {}

@media screen and (max-width: 450px) {
  /*#region cart*/
    #cart-page {
      .resultmessage img {
        width: 100px;
      }
    }
    #cart {
     .section-body {
        .item {
          padding:10px;
          display: block;
          -webkit-box-orient: inherit;
          -webkit-box-direction: inherit;
          -webkit-flex-direction: inherit;
          -ms-flex-direction: inherit;
          flex-direction: inherit;
          -webkit-flex-wrap: inherit;
          -ms-flex-wrap: inherit;
          flex-wrap: inherit;
          .img-container {
            width: 100px;
            float:left;
          }
          .text-container {
            width: calc(100% - 100px);
            padding-left: 10px;
            padding-right: 0;
            float:left;
            position:relative;
            .v-height {
              display: block;
              height: auto;
              width: auto;
            }
            h3 {
                display: block;
                vertical-align: inherit;
                padding-right:0;
                margin-bottom:0;
                width: auto;
                font-size: 14px;
            }
            .btn-container {
                // position:absolute;
                // top:0;
                // right:0;
                a{
                    display:block;
                    // width:15px;
                    // height:15px;
                }
            }
          }
          .price {
              width: calc(70% - 100px);
              padding-left: 10px;
              padding-right: 0;
              margin-right:0;
              float:left;
              margin-top: 10px;
          }
          .quantity-container {
              margin-top: 10px;
              width: 30%;
              text-align: left;
              float:right;
              padding-left: 10px;
          }
          &:after,&:before {
              content: " ";
              display: table;
          }
          &:after {
              clear: both;
          }
        }
     }
     .section-footer {
      padding:10px;
     }
    }
    #cartbar {
      margin-top: 0;
      padding-top: 0;
      .section-body {
        .item {
          .label {
            width: 100%;
            float: none;
            margin: 0 0 10px 0;
          }
          input {
            width: 100%;
            float: none;
          }
          select {
            width: 100%;
            margin-right: 0;
            margin-left: 0;
            &:nth-child(1) {
              margin-right: 0;
            }
            &:nth-child(3) {
              margin-left: 0;
            }
          }
        }
        &.border-bottom {
          padding: 10px;
        }
      }
    }

  /*#endregion*/
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 360px) {
    /*#region #cart*/
        #cart {
         .section-body {
            .item {
              .price {
                width: calc(100% - 100px);
              }
              .quantity-container {
                width: calc(100% - 100px);
                margin-left: 100px;
              }
            }
          }
        }
    /*#endregion*/
}

@media screen and (max-width: 320px) {}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
  @-moz-document url-prefix() {
    /*Code is here*/
  }
/*#endregion*/

/*#region ie*/
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
  }
/*#endregion*/